Index: /pjproject/main/pjlib/include/pjlib++.hpp
===================================================================
--- /pjproject/main/pjlib/include/pjlib++.hpp	(revision 1)
+++ /pjproject/main/pjlib/include/pjlib++.hpp	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject/pjlib/src/pjlib++.hpp 1     7/05/05 12:58a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJLIBPP_H__
 #define __PJLIBPP_H__
Index: /pjproject/main/pjlib/include/pjlib.h
===================================================================
--- /pjproject/main/pjlib/include/pjlib.h	(revision 1)
+++ /pjproject/main/pjlib/include/pjlib.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pjlib.h 6     10/29/05 11:30a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJLIB_H__
 #define __PJLIB_H__
Index: /pjproject/main/pjlib/src/pj++/compiletest.cpp
===================================================================
--- /pjproject/main/pjlib/src/pj++/compiletest.cpp	(revision 1)
+++ /pjproject/main/pjlib/src/pj++/compiletest.cpp	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject/pjlib/src/pj++/compiletest.cpp 4     8/24/05 10:29a Bennylp $ */
+/* $Id$
+ *
+ */
 #include <pjlib++.hpp>
 
Index: /pjproject/main/pjlib/src/pj++/hash.hpp
===================================================================
--- /pjproject/main/pjlib/src/pj++/hash.hpp	(revision 1)
+++ /pjproject/main/pjlib/src/pj++/hash.hpp	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject/pjlib/src/pj++/hash.hpp 5     8/24/05 10:29a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJPP_HASH_H__
 #define __PJPP_HASH_H__
Index: /pjproject/main/pjlib/src/pj++/ioqueue.hpp
===================================================================
--- /pjproject/main/pjlib/src/pj++/ioqueue.hpp	(revision 1)
+++ /pjproject/main/pjlib/src/pj++/ioqueue.hpp	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject/pjlib/src/pj++/ioqueue.hpp 4     8/24/05 10:29a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJPP_IOQUEUE_H__
 #define __PJPP_IOQUEUE_H__
Index: /pjproject/main/pjlib/src/pj++/list.hpp
===================================================================
--- /pjproject/main/pjlib/src/pj++/list.hpp	(revision 1)
+++ /pjproject/main/pjlib/src/pj++/list.hpp	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject/pjlib/src/pj++/list.hpp 2     2/24/05 11:23a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJPP_LIST_H__
 #define __PJPP_LIST_H__
Index: /pjproject/main/pjlib/src/pj++/os.hpp
===================================================================
--- /pjproject/main/pjlib/src/pj++/os.hpp	(revision 1)
+++ /pjproject/main/pjlib/src/pj++/os.hpp	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject/pjlib/src/pj++/os.hpp 2     2/24/05 11:23a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJPP_OS_H__
 #define __PJPP_OS_H__
Index: /pjproject/main/pjlib/src/pj++/pj++.cpp
===================================================================
--- /pjproject/main/pjlib/src/pj++/pj++.cpp	(revision 1)
+++ /pjproject/main/pjlib/src/pj++/pj++.cpp	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject/pjlib/src/pj++/pj++.cpp 4     4/17/05 11:59a Bennylp $ */
+/* $Id$
+ *
+ */
 #include <pj++/scanner.hpp>
 #include <pj++/timer.hpp>
Index: /pjproject/main/pjlib/src/pj++/pool.hpp
===================================================================
--- /pjproject/main/pjlib/src/pj++/pool.hpp	(revision 1)
+++ /pjproject/main/pjlib/src/pj++/pool.hpp	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject/pjlib/src/pj++/pool.hpp 4     8/24/05 10:29a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJPP_POOL_H__
 #define __PJPP_POOL_H__
Index: /pjproject/main/pjlib/src/pj++/proactor.cpp
===================================================================
--- /pjproject/main/pjlib/src/pj++/proactor.cpp	(revision 1)
+++ /pjproject/main/pjlib/src/pj++/proactor.cpp	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj++/proactor.cpp 7     10/29/05 11:51a Bennylp $ */
+/* $Id$
+ *
+ */
 #include <pj++/proactor.hpp>
 #include <pj/string.h>	// memset
Index: /pjproject/main/pjlib/src/pj++/proactor.hpp
===================================================================
--- /pjproject/main/pjlib/src/pj++/proactor.hpp	(revision 1)
+++ /pjproject/main/pjlib/src/pj++/proactor.hpp	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject/pjlib/src/pj++/proactor.hpp 3     8/24/05 10:29a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJPP_EVENT_HANDLER_H__
 #define __PJPP_EVENT_HANDLER_H__
Index: /pjproject/main/pjlib/src/pj++/scanner.hpp
===================================================================
--- /pjproject/main/pjlib/src/pj++/scanner.hpp	(revision 1)
+++ /pjproject/main/pjlib/src/pj++/scanner.hpp	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject/pjlib/src/pj++/scanner.hpp 3     2/27/05 10:09p Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJPP_SCANNER_H__
 #define __PJPP_SCANNER_H__
Index: /pjproject/main/pjlib/src/pj++/sock.hpp
===================================================================
--- /pjproject/main/pjlib/src/pj++/sock.hpp	(revision 1)
+++ /pjproject/main/pjlib/src/pj++/sock.hpp	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject/pjlib/src/pj++/sock.hpp 2     2/24/05 11:23a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJPP_SOCK_H__
 #define __PJPP_SOCK_H__
Index: /pjproject/main/pjlib/src/pj++/string.hpp
===================================================================
--- /pjproject/main/pjlib/src/pj++/string.hpp	(revision 1)
+++ /pjproject/main/pjlib/src/pj++/string.hpp	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject/pjlib/src/pj++/string.hpp 2     2/24/05 11:23a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJPP_STRING_H__
 #define __PJPP_STRING_H__
Index: /pjproject/main/pjlib/src/pj++/timer.hpp
===================================================================
--- /pjproject/main/pjlib/src/pj++/timer.hpp	(revision 1)
+++ /pjproject/main/pjlib/src/pj++/timer.hpp	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject/pjlib/src/pj++/timer.hpp 4     8/24/05 10:29a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJPP_TIMER_H__
 #define __PJPP_TIMER_H__
Index: /pjproject/main/pjlib/src/pj++/tree.hpp
===================================================================
--- /pjproject/main/pjlib/src/pj++/tree.hpp	(revision 1)
+++ /pjproject/main/pjlib/src/pj++/tree.hpp	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject/pjlib/src/pj++/tree.hpp 2     2/24/05 11:23a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJPP_TREE_H__
 #define __PJPP_TREE_H__
Index: /pjproject/main/pjlib/src/pj++/types.hpp
===================================================================
--- /pjproject/main/pjlib/src/pj++/types.hpp	(revision 1)
+++ /pjproject/main/pjlib/src/pj++/types.hpp	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject/pjlib/src/pj++/types.hpp 3     4/17/05 11:59a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJPP_TYPES_H__
 #define __PJPP_TYPES_H__
Index: /pjproject/main/pjlib/src/pj/addr_resolv_linux_kernel.c
===================================================================
--- /pjproject/main/pjlib/src/pj/addr_resolv_linux_kernel.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/addr_resolv_linux_kernel.c	(revision 3)
@@ -1,7 +1,3 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/addr_resolv_linux_kernel.c 1     10/05/05 4:41p Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/addr_resolv_linux_kernel.c $
- * 
- * 1     10/05/05 4:41p Bennylp
- * Created.
+/* $Id$
  *
  */
Index: /pjproject/main/pjlib/src/pj/addr_resolv_sock.c
===================================================================
--- /pjproject/main/pjlib/src/pj/addr_resolv_sock.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/addr_resolv_sock.c	(revision 3)
@@ -1,11 +1,3 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/addr_resolv_sock.c 2     10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/addr_resolv_sock.c $
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     9/22/05 10:38a Bennylp
- * Created.
+/* $Id$
  *
  */
Index: /pjproject/main/pjlib/src/pj/array.c
===================================================================
--- /pjproject/main/pjlib/src/pj/array.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/array.c	(revision 3)
@@ -1,12 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/array.c 5     10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/array.c $
- * 
- * 5     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 4     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/array.h>
Index: /pjproject/main/pjlib/src/pj/compat/sigjmp.c
===================================================================
--- /pjproject/main/pjlib/src/pj/compat/sigjmp.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/compat/sigjmp.c	(revision 3)
@@ -1,2 +1,5 @@
+/* $Id$
+ *
+ */
 #include <pj/config.h>
 #include <pj/compat/setjmp.h>
Index: /pjproject/main/pjlib/src/pj/compat/string.c
===================================================================
--- /pjproject/main/pjlib/src/pj/compat/string.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/compat/string.c	(revision 3)
@@ -1,8 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/compat/string.c 1     9/22/05 10:43a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/compat/string.c $
- * 
- * 1     9/22/05 10:43a Bennylp
- * Created.
- * 
+/* $Id$
+ *
  */
 #include <pj/types.h>
Index: /pjproject/main/pjlib/src/pj/config.c
===================================================================
--- /pjproject/main/pjlib/src/pj/config.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/config.c	(revision 3)
@@ -1,15 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/config.c 7     10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/config.c $
- * 
- * 7     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 6     9/21/05 1:39p Bennylp
- * Periodic checkin for backup.
- * 
- * 5     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/config.h>
@@ -39,2 +28,3 @@
     PJ_LOG(3, (id, " PJ_IOQUEUE_MAX_HANDLES   : %d", PJ_IOQUEUE_MAX_HANDLES));
 }
+
Index: /pjproject/main/pjlib/src/pj/equeue_winnt.c
===================================================================
--- /pjproject/main/pjlib/src/pj/equeue_winnt.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/equeue_winnt.c	(revision 3)
@@ -1,12 +1,3 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/equeue_winnt.c 2     10/14/05 12:26a Bennylp $ */
-/*
- * $Log: /pjproject-0.3/pjlib/src/pj/equeue_winnt.c $
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     10/05/05 6:19p Bennylp
- * Created.
+/* $Id$
  *
  */
Index: /pjproject/main/pjlib/src/pj/errno.c
===================================================================
--- /pjproject/main/pjlib/src/pj/errno.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/errno.c	(revision 3)
@@ -1,12 +1,3 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/errno.c 2     10/14/05 12:26a Bennylp $ */
-/*
- * $Log: /pjproject-0.3/pjlib/src/pj/errno.c $
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     10/08/05 9:53a Bennylp
- * Created.
+/* $Id$
  *
  */
Index: /pjproject/main/pjlib/src/pj/except.c
===================================================================
--- /pjproject/main/pjlib/src/pj/except.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/except.c	(revision 3)
@@ -1,16 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/except.c 6     10/14/05 12:26a Bennylp $ */
-/* 
- * $Log: /pjproject-0.3/pjlib/src/pj/except.c $
- * 
- * 6     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 5     9/21/05 1:39p Bennylp
- * Periodic checkin for backup.
- * 
- * 4     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/except.h>
Index: /pjproject/main/pjlib/src/pj/extra-exports.c
===================================================================
--- /pjproject/main/pjlib/src/pj/extra-exports.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/extra-exports.c	(revision 3)
@@ -1,11 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/extra-exports.c 1     10/29/05 11:56a Bennylp $ */
-/*
- * $Log: /pjproject-0.3/pjlib/src/pj/extra-exports.c $
- * 
- * 1     10/29/05 11:56a Bennylp
- * Version 0.3-pre2
+/* $Id$
  *
  */
-
 /*
  * This file contains code to export extra symbols from Linux kernel.
Index: /pjproject/main/pjlib/src/pj/fifobuf.c
===================================================================
--- /pjproject/main/pjlib/src/pj/fifobuf.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/fifobuf.c	(revision 3)
@@ -1,8 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/fifobuf.c 4     9/17/05 10:37a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/fifobuf.c $
- * 
- * 4     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/fifobuf.h>
Index: /pjproject/main/pjlib/src/pj/guid.c
===================================================================
--- /pjproject/main/pjlib/src/pj/guid.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/guid.c	(revision 3)
@@ -1,12 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/guid.c 12    10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/guid.c $
- * 
- * 12    10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 11    9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/guid.h>
Index: /pjproject/main/pjlib/src/pj/guid_simple.c
===================================================================
--- /pjproject/main/pjlib/src/pj/guid_simple.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/guid_simple.c	(revision 3)
@@ -1,12 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/guid_simple.c 3     10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/guid_simple.c $
- * 
- * 3     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 2     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/guid.h>
Index: /pjproject/main/pjlib/src/pj/guid_win32.c
===================================================================
--- /pjproject/main/pjlib/src/pj/guid_win32.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/guid_win32.c	(revision 3)
@@ -1,12 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/guid_win32.c 4     10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/guid_win32.c $
- * 
- * 4     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 3     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/guid.h>
Index: /pjproject/main/pjlib/src/pj/hash.c
===================================================================
--- /pjproject/main/pjlib/src/pj/hash.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/hash.c	(revision 3)
@@ -1,12 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/hash.c 8     10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/hash.c $
- * 
- * 8     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 7     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/hash.h>
Index: /pjproject/main/pjlib/src/pj/ioqueue_dummy.c
===================================================================
--- /pjproject/main/pjlib/src/pj/ioqueue_dummy.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/ioqueue_dummy.c	(revision 3)
@@ -1,12 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/ioqueue_dummy.c 2     10/29/05 11:31a Bennylp $ */
-/* 
- * $Log: /pjproject-0.3/pjlib/src/pj/ioqueue_dummy.c $
- * 
- * 2     10/29/05 11:31a Bennylp
- * Changed accept and lock.
- * 
- * 1     10/23/05 12:53p Bennylp
- * Created.
- * 
+/* $Id$
+ *
  */
 #include <pj/ioqueue.h>
Index: /pjproject/main/pjlib/src/pj/ioqueue_epoll.c
===================================================================
--- /pjproject/main/pjlib/src/pj/ioqueue_epoll.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/ioqueue_epoll.c	(revision 3)
@@ -1,20 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/ioqueue_epoll.c 4     10/29/05 10:27p Bennylp $ */
-/* 
- * $Log: /pjproject-0.3/pjlib/src/pj/ioqueue_epoll.c $
- * 
- * 4     10/29/05 10:27p Bennylp
- * Fixed misc warnings.
- * 
- * 3     10/29/05 11:49a Bennylp
- * Fixed warnings.
- * 
- * 2     10/29/05 11:31a Bennylp
- * Changed accept and lock.
- * 
- * 1     10/17/05 10:49p Bennylp
- * Created.
- * 
- */
-
+/* $Id$
+ *
+ */
 /*
  * ioqueue_epoll.c
Index: /pjproject/main/pjlib/src/pj/ioqueue_linux_kernel.c
===================================================================
--- /pjproject/main/pjlib/src/pj/ioqueue_linux_kernel.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/ioqueue_linux_kernel.c	(revision 3)
@@ -1,8 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/ioqueue_linux_kernel.c 1     10/05/05 4:42p Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/ioqueue_linux_kernel.c $
- * 
- * 1     10/05/05 4:42p Bennylp
- * Created.
- * 
+/* $Id$
+ *
  */
 #include <pj/ioqueue.h>
Index: /pjproject/main/pjlib/src/pj/ioqueue_select.c
===================================================================
--- /pjproject/main/pjlib/src/pj/ioqueue_select.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/ioqueue_select.c	(revision 3)
@@ -1,23 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/ioqueue_select.c 15    10/29/05 10:27p Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/ioqueue_select.c $
- * 
- * 15    10/29/05 10:27p Bennylp
- * Fixed misc warnings.
- * 
- * 14    10/29/05 11:31a Bennylp
- * Changed accept and lock.
- * 
- * 13    10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 12    9/21/05 1:39p Bennylp
- * Periodic checkin for backup.
- * 
- * 11    9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
- */
-
+/* $Id$
+ *
+ */
 /*
  * sock_select.c
@@ -499,5 +481,6 @@
 #	        if defined(PJ_WIN32) && PJ_WIN32 != 0
                 rc = pj_sock_recv(h->fd, h->rd_buf, &bytes_read, 0);
-#               elif defined(PJ_LINUX) && PJ_LINUX != 0
+#               elif (defined(PJ_LINUX) && PJ_LINUX != 0) || \
+		     (defined(PJ_SUNOS) && PJ_SUNOS != 0)
                 bytes_read = read(h->fd, h->rd_buf, bytes_read);
                 rc = (bytes_read >= 0) ? PJ_SUCCESS : pj_get_os_error();
@@ -506,5 +489,5 @@
                 rc = (bytes_read >= 0) ? PJ_SUCCESS : -bytes_read;
 #               else
-#               error "Check this man!"
+#               error "Implement read() for this platform!"
 #               endif
             }
@@ -560,10 +543,11 @@
 		  PJ_IOQUEUE_IS_CONNECT_OP(h->op));
 
-#if PJ_HAS_TCP
+#if defined(PJ_HAS_TCP) && PJ_HAS_TCP!=0
 	if ((h->op & PJ_IOQUEUE_OP_CONNECT)) {
 	    /* Completion of connect() operation */
 	    pj_ssize_t bytes_transfered;
 
-#if defined(PJ_LINUX) || defined(PJ_LINUX_KERNEL)
+#if (defined(PJ_LINUX) && PJ_LINUX!=0) || \
+    (defined(PJ_LINUX_KERNEL) && PJ_LINUX_KERNEL!=0)
 	    /* from connect(2): 
 		* On Linux, use getsockopt to read the SO_ERROR option at
@@ -585,8 +569,23 @@
                 bytes_transfered = value;
 	    }
-#elif defined(PJ_WIN32)
+#elif defined(PJ_WIN32) && PJ_WIN32!=0
 	    bytes_transfered = 0; /* success */
 #else
-#  error "Got to check this one!"
+	    /* Excellent information in D.J. Bernstein page:
+	     * http://cr.yp.to/docs/connect.html
+	     *
+	     * Seems like the most portable way of detecting connect()
+	     * failure is to call getpeername(). If socket is connected,
+	     * getpeername() will return 0. If the socket is not connected,
+	     * it will return ENOTCONN, and read(fd, &ch, 1) will produce
+	     * the right errno through error slippage. This is a combination
+	     * of suggestions from Douglas C. Schmidt and Ken Keys.
+	     */
+	    int gp_rc;
+	    struct sockaddr_in addr;
+	    socklen_t addrlen = sizeof(addr);
+
+	    gp_rc = getpeername(h->fd, (struct sockaddr*)&addr, &addrlen);
+	    bytes_transfered = gp_rc;
 #endif
 
Index: /pjproject/main/pjlib/src/pj/ioqueue_winnt.c
===================================================================
--- /pjproject/main/pjlib/src/pj/ioqueue_winnt.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/ioqueue_winnt.c	(revision 3)
@@ -1,15 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/ioqueue_winnt.c 11    10/29/05 11:31a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/ioqueue_winnt.c $
- * 
- * 11    10/29/05 11:31a Bennylp
- * Changed accept and lock.
- * 
- * 10    10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 9     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/ioqueue.h>
Index: /pjproject/main/pjlib/src/pj/list.c
===================================================================
--- /pjproject/main/pjlib/src/pj/list.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/list.c	(revision 3)
@@ -1,12 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/list.c 5     10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/list.c $
- * 
- * 5     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 4     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/list.h>
Index: /pjproject/main/pjlib/src/pj/lock.c
===================================================================
--- /pjproject/main/pjlib/src/pj/lock.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/lock.c	(revision 3)
@@ -1,15 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/lock.c 3     10/29/05 11:51a Bennylp $ */
-/*
- * $Log: /pjproject-0.3/pjlib/src/pj/lock.c $
- * 
- * 3     10/29/05 11:51a Bennylp
- * Version 0.3-pre2.
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     10/05/05 6:35p Bennylp
- * Created.
+/* $Id$
+ *
  */
 #include <pj/lock.h>
Index: /pjproject/main/pjlib/src/pj/log.c
===================================================================
--- /pjproject/main/pjlib/src/pj/log.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/log.c	(revision 3)
@@ -1,12 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/log.c 7     10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/log.c $
- * 
- * 7     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 6     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/types.h>
Index: /pjproject/main/pjlib/src/pj/log_writer_printk.c
===================================================================
--- /pjproject/main/pjlib/src/pj/log_writer_printk.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/log_writer_printk.c	(revision 3)
@@ -1,12 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/log_writer_printk.c 2     10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/log_writer_printk.c $
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     9/22/05 10:37a Bennylp
- * Created.
- * 
+/* $Id$
+ *
  */
 #include <pj/log.h>
Index: /pjproject/main/pjlib/src/pj/log_writer_stdout.c
===================================================================
--- /pjproject/main/pjlib/src/pj/log_writer_stdout.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/log_writer_stdout.c	(revision 3)
@@ -1,15 +1,4 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/log_writer_stdout.c 5     10/14/05 12:26a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/log_writer_stdout.c $
- * 
- * 5     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 4     9/21/05 1:39p Bennylp
- * Periodic checkin for backup.
- * 
- * 3     9/17/05 10:37a Bennylp
- * Major reorganization towards version 0.3.
- * 
+/* $Id$
+ *
  */
 #include <pj/log.h>
Index: /pjproject/main/pjlib/src/pj/md5.c
===================================================================
--- /pjproject/main/pjlib/src/pj/md5.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/md5.c	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/md5.c 5     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /*
   Copyright (C) 1999, 2000, 2002 Aladdin Enterprises.  All rights reserved.
@@ -23,5 +25,5 @@
 
  */
-/* $Id: md5.c,v 1.6 2002/04/13 19:20:28 lpd Exp $ */
+/* Id: md5.c,v 1.6 2002/04/13 19:20:28 lpd Exp */
 /*
   Independent implementation of MD5 (RFC 1321).
@@ -403,2 +405,3 @@
 	digest[i] = (md5_byte_t)(pms->abcd[i >> 2] >> ((i & 3) << 3));
 }
+
Index: /pjproject/main/pjlib/src/pj/os_core_linux_kernel.c
===================================================================
--- /pjproject/main/pjlib/src/pj/os_core_linux_kernel.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/os_core_linux_kernel.c	(revision 3)
@@ -1,14 +1,3 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/os_core_linux_kernel.c 3     10/29/05 11:51a Bennylp $ */
-/* $Log: /pjproject-0.3/pjlib/src/pj/os_core_linux_kernel.c $
- * 
- * 3     10/29/05 11:51a Bennylp
- * Version 0.3-pre2.
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     9/22/05 10:38a Bennylp
- * Creaetd.
+/* $Id$
  *
  */
@@ -253,5 +242,5 @@
 
     /* Initialize and set the thread entry. */
-    pj_memset(desc, 0, sizeof(pj_thread_desc));
+    pj_memset(desc, 0, sizeof(struct pj_thread_t));
 
     if(cstr_thread_name && pj_strlen(&thread_name) < sizeof(thread->obj_name)-1)
@@ -288,5 +277,5 @@
 	return rc;
 
-    return pj_thread_register("pjlib-main", (pj_uint8_t*)&main_thread, &dummy);
+    return pj_thread_register("pjlib-main", (long*)&main_thread, &dummy);
 }
 
@@ -473,8 +462,9 @@
 }
 
-PJ_DEF(void) pj_thread_local_set(long index, void *value)
+PJ_DEF(pj_status_t) pj_thread_local_set(long index, void *value)
 {
     pj_assert(index >= 0 && index < MAX_TLS_ID);
     tls_values[index] = value;
+    return PJ_SUCCESS;
 }
 
Index: /pjproject/main/pjlib/src/pj/os_core_unix.c
===================================================================
--- /pjproject/main/pjlib/src/pj/os_core_unix.c	(revision 1)
+++ /pjproject/main/pjlib/src/pj/os_core_unix.c	(revision 3)
@@ -1,15 +1,3 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/os_core_unix.c 11    10/29/05 10:27p Bennylp $ */
-/* 
- * $Log: /pjproject-0.3/pjlib/src/pj/os_core_unix.c $ 
- * 
- * 11    10/29/05 10:27p Bennylp
- * Fixed misc warnings.
- * 
- * 10    10/29/05 11:51a Bennylp
- * Version 0.3-pre2.
- * 
- * 9     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
+/* $Id$
  *
  */
@@ -33,4 +21,7 @@
 
 #define __USE_GNU
+//uncomment this to get pthread_mutexattr_settype declaration.
+//unfortunately this causes syntax error in pthread.h! :(
+//#define __USE_UNIX98
 #include <pthread.h>
 
@@ -175,4 +166,5 @@
 #if PJ_HAS_THREADS
     char stack_ptr;
+    pj_status_t rc;
     pj_thread_t *thread = (pj_thread_t *)desc;
     pj_str_t thread_name = pj_str((char*)cstr_thread_name);
@@ -191,5 +183,5 @@
 
     /* Initialize and set the thread entry. */
-    pj_memset(desc, 0, sizeof(pj_thread_desc));
+    pj_memset(desc, 0, sizeof(struct pj_thread_t));
     thread->thread = pthread_self();
 
@@ -199,5 +191,7 @@
 	pj_sprintf(thread->obj_name, "thr%p", (void*)thread->thread);
     
-    pj_thread_local_set(thread_tls_id, thread);
+    rc = pj_thread_local_set(thread_tls_id, thread);
+    if (rc != PJ_SUCCESS)
+	return rc;
 
 #if defined(PJ_OS_HAS_CHECK_STACK) && PJ_OS_HAS_CHECK_STACK!=0
@@ -214,5 +208,5 @@
     pj_thread_t *thread = (pj_thread_t*)desc;
     *ptr_thread = thread;
-    return SUCCESS;
+    return PJ_SUCCESS;
 #endif
 }
@@ -231,5 +225,5 @@
 	return rc;
     }
-    return pj_thread_register("thr%p", (pj_uint8_t*)&main_thread, &dummy);
+    return pj_thread_register("thr%p", (long*)&main_thread, &dummy);
 #else
     PJ_LOG(2,(THIS_FILE, "Thread init error. Threading is not enabled!"));
@@ -248,4 +242,5 @@
     pj_thread_t *rec = param;
     void *result;
+    pj_status_t rc;
 
 #if defined(PJ_OS_HAS_CHECK_STACK) && PJ_OS_HAS_CHECK_STACK!=0
@@ -254,5 +249,8 @@
 
     /* Set current thread id. */
-    pj_thread_local_set(thread_tls_id, rec);
+    rc = pj_thread_local_set(thread_tls_id, rec);
+    if (rc != PJ_SUCCESS) {
+	pj_assert(!"Thread TLS ID is not set (pj_init() error?)");
+    }
 
     /* Check if suspension is required. */
@@ -660,5 +658,5 @@
  * pj_thread_local_set()
  */
-PJ_DEF(void) pj_thread_local_set(long index, void *value)
+PJ_DEF(pj_status_t) pj_thread_local_set(long index, void *value)
 {
     //Can't check stack because this function is called in the
@@ -666,8 +664,10 @@
     //PJ_CHECK_STACK();
 #if PJ_HAS_THREADS
-    pthread_setspecific(index, value);
+    int rc=pthread_setspecific(index, value);
+    return rc==0 ? PJ_SUCCESS : PJ_RETURN_OS_ERROR(rc);
 #else
     pj_assert(index >= 0 && index < MAX_THREADS);
     tls[index] = value;
+    return PJ_SUCCESS;
 #endif
 }
@@ -706,14 +706,32 @@
 {
 #if PJ_HAS_THREADS
-    PJ_UNUSED_ARG(type);
-
-    PJ_CHECK_STACK();
+    pthread_mutexattr_t attr;
+    int rc;
+
+    PJ_CHECK_STACK();
+
+    pthread_mutexattr_init(&attr);
 
     if (type == PJ_MUTEX_SIMPLE) {
-	pthread_mutex_t the_mutex = PTHREAD_MUTEX_INITIALIZER;
-	mutex->mutex = the_mutex;
+#if defined(PJ_LINUX) && PJ_LINUX!=0
+	rc = pthread_mutexattr_settype(&attr, PTHREAD_MUTEX_FAST_NP);
+#else
+	rc = pthread_mutexattr_settype(&attr, PTHREAD_MUTEX_NORMAL);
+#endif
     } else {
-	pthread_mutex_t the_mutex = PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP;
-	mutex->mutex = the_mutex;
+#if defined(PJ_LINUX) && PJ_LINUX!=0
+	rc = pthread_mutexattr_settype(&attr, PTHREAD_MUTEX_RECURSIVE_NP);
+#else
+	rc = pthread_mutexattr_settype(&attr, PTHREAD_MUTEX_RECURSIVE);
+#endif
+    }
+    
+    if (rc != 0) {
+	return PJ_RETURN_OS_ERROR(rc);
+    }
+
+    rc = pthread_mutex_init(&mutex->mutex, &attr);
+    if (rc != 0) {
+	return PJ_RETURN_OS_ERROR(rc);
     }
     
